## gjs 1.47.90

=== debian/changelog ===
gjs (1.47.90-0ubuntu3) zesty; urgency=medium

  * No-change rebuild against latest mozjs38

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 17 Feb 2017 19:13:37 -0500

gjs (1.47.90-0ubuntu2) zesty; urgency=medium

  * debian/control.in:
    - Have libgjs-dev depend on libgtk-3-dev, discovered via autopkgtest

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 16 Feb 2017 10:49:07 -0500

gjs (1.47.90-0ubuntu1) zesty; urgency=medium

  [ Roland Hieber ]
  * Fix typo in package description (Closes: #841138)

  [ Jeremy Bicha ]
  * New upstream release
  * debian/control.in:
    - Build-depend on mozjs38 instead of mozjs24
  * debian/rules:
    - Explicitly set the mozjs38 version since the objdump script didn't
      seem to work right
  * Bump libgjs0e to libgjs0f

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 16 Feb 2017 04:54:02 -0500
