## gjs 1.47.91

=== debian/changelog ===
gjs (1.47.91-0ubuntu4) zesty; urgency=medium

  * debian/patches/0001-jsUnit-Explicitly-check-if-tempTop.parent-is-defined.patch:
    Backport patch from upstream bug. Try a new way to test if tempTop.parent
    is defined, which hopefully fixes the libsecret unit tests.

 -- Iain Lane <iain@orangesquash.org.uk>  Fri, 10 Mar 2017 17:54:01 +0000

gjs (1.47.91-0ubuntu3) zesty; urgency=medium

  * Add revert-check-for-intl-api.patch:
    - Backport git commit to fix FTBFS with mozjs38 38.2.1~rc0-0ubuntu5

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 07 Mar 2017 22:50:25 -0500

gjs (1.47.91-0ubuntu2) zesty; urgency=medium

  * Add fix-tests-on-non-amd64.patch:
    - Backport git commit to fix autopkgtests on non-amd64 architectures

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 07 Mar 2017 22:42:02 -0500

gjs (1.47.91-0ubuntu1) zesty; urgency=medium

  * New upstream release
  * debian/control.in:
    - Bump minimum gobject-introspection

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 28 Feb 2017 19:51:08 -0500
