=== debian/control ===
--- 
+++ 
@@ -7,15 +7,15 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Andreas Henriksson <andreas@fatal.se>, Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@ubuntu.com>, Michael Biebl <biebl@debian.org>
+Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@ubuntu.com>, Michael Biebl <biebl@debian.org>
 Build-Depends: debhelper (>= 10),
                dpkg-dev (>= 1.17.14),
                gnome-common,
                gnome-pkg-tools,
                pkg-config,
                libglib2.0-dev (>= 2.42.0),
-               libgirepository1.0-dev (>= 1.41.4),
-               gobject-introspection (>= 1.41.4),
+               libgirepository1.0-dev (>= 1.51.2),
+               gobject-introspection (>= 1.51.2),
                libmozjs-38-dev,
                libreadline-dev,
                libgtk-3-dev,
