## gjs 1.47.92

=== debian/changelog ===
gjs (1.47.92-0ubuntu2) zesty; urgency=medium

  * debian/control{,.in}: Have libgjs0e depend on gir dependencies, since the
    GjsPrivate library requires GObject, GLib and Gtk. gjs-tests depends
    transitively on this package, so remove the gir1.2-gtk-3.0 dependency from
    there.

 -- Iain Lane <iain@orangesquash.org.uk>  Wed, 15 Mar 2017 12:04:25 +0000

gjs (1.47.92-0ubuntu1) zesty; urgency=medium

  * New upstream release
  * Drop all patches, applied in new release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 13 Mar 2017 19:47:28 -0400
