## gjs 1.48.0

=== debian/changelog ===
gjs (1.48.0-0ubuntu1) zesty; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 20 Mar 2017 15:49:40 -0400
