=== debian/control ===
--- 
+++ 
@@ -45,7 +45,6 @@
 Depends: ${shlibs:Depends},
          ${misc:Depends},
          gjs,
-         gir1.2-gtk-3.0,
          at-spi2-core
 Description: Mozilla-based javascript bindings for the GNOME platform
  Makes it possible for applications to use all of GNOME's platform
@@ -59,7 +58,8 @@
 Architecture: any
 Section: libs
 Depends: ${shlibs:Depends},
-         ${misc:Depends}
+         ${misc:Depends},
+         ${gir:Depends}
 Conflicts: libgjs0, libgjs0a, libgjs0b, libgjs0c, libgjs0d, libgjs0e
 Replaces: libgjs0, libgjs0a, libgjs0b, libgjs0c, libgjs0d, libgjs0e
 Provides: ${gjs:Provides}
