## gjs 1.48.2

=== debian/changelog ===
gjs (1.48.2-0ubuntu0.1) zesty; urgency=medium

  * New upstream release (LP: #1682235)
  * debian/rules:
    - Don't ignore test failures

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 20 Apr 2017 16:58:22 -0400
