## gjs 1.48.3

=== debian/changelog ===
gjs (1.48.3-0ubuntu0.1) zesty; urgency=medium

  * New upstream release (LP: #1688704)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sat, 06 May 2017 03:47:00 -0400
