=== debian/rules ===
--- 
+++ 
@@ -25,9 +25,6 @@
 override_dh_install:
 	dh_install --fail-missing -X.la
 
-override_dh_auto_test:
-	dh_auto_test || true
-
 override_dh_makeshlibs:
 	dh_makeshlibs -Xusr/lib/gjs-1.0/ -V'libgjs0f (>= $(DEB_UPSTREAM_VERSION)), libgjs0-$(LIBMOZJS)' -- -c4
