## gjs 1.48.5

=== debian/changelog ===
gjs (1.48.5-0ubuntu0.1) zesty; urgency=medium

  * New upstream release (LP: #1698553)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 21 Jun 2017 15:15:36 -0400
