## gjs 1.50.1

=== debian/changelog ===
gjs (1.50.1-1) experimental; urgency=medium

  * New upstream release
  * debian/control.in:
    - Bump minimum gobject-introspection to 1.53.4
  * Drop disable-property-shadow-test.patch:
    - No longer needed with gobject-introspection 1.53.4
  * Bump Standards-Version to 4.1.1

 -- Jeremy Bicha <jbicha@debian.org>  Mon, 02 Oct 2017 21:29:12 -0400

gjs (1.50.0-1) experimental; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@debian.org>  Mon, 11 Sep 2017 15:30:35 -0400

gjs (1.49.92-1) experimental; urgency=medium

  * New upstream release
  * Don't ignore test failures

 -- Jeremy Bicha <jbicha@debian.org>  Mon, 04 Sep 2017 20:26:32 -0400

gjs (1.49.91-1) experimental; urgency=medium

  [ Andreas Henriksson ]
  * New upstream release.
  * Update build-dependencies according to configure.ac changes.
  * Switch to mozjs52
  * Rename libgjs0e to libgjs0g and replace/conflict with the old name.

  [ Jeremy Bicha ]
  * debian/control.in:
    - Have libgjs-dev depend on libgtk-3-dev, discovered via autopkgtest
  * Bump Standards-Version to 4.1.0
  * Drop 0001-installed-tests-Prepend-pkglibdir-to-library-path.patch:
    - Applied in new release
  * debian/control.in:
    - Bump minimum GObject Introspection to 1.53.1
  * Add disable-property-shadow-test.patch:
    - Temporarily disable new installed test that fails

 -- Andreas Henriksson <andreas@fatal.se>  Tue, 29 Aug 2017 13:51:26 +0200

gjs (1.46.0-2) unstable; urgency=medium

  [ Roland Hieber ]
  * Fix typo in package description (Closes: #841138)

  [ Iain Lane ]
  * debian/control{,.in}: Have libgjs0e depend on gir dependencies, since the
    GjsPrivate library requires GObject, GLib and Gtk. gjs-tests depends
    transitively on this package, so remove the gir1.2-gtk-3.0 dependency from
    there.
  * d/p/0001-installed-tests-Prepend-pkglibdir-to-library-path.patch: Backport
    an upstream patch to look in pkglibdir for (private) libraries, in the
    installed test runner. Should fix the installed tests, and thus the
    autopkgtests.

 -- Iain Lane <laney@debian.org>  Wed, 15 Mar 2017 11:21:32 +0000
