=== debian/control ===
--- 
+++ 
@@ -5,26 +5,25 @@
 Source: gjs
 Section: interpreters
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Jeremy Bicha <jbicha@ubuntu.com>
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@debian.org>, Michael Biebl <biebl@debian.org>
 Build-Depends: debhelper (>= 10),
                dpkg-dev (>= 1.17.14),
                gnome-common,
                gnome-pkg-tools,
-               pkg-config,
-               libglib2.0-dev (>= 2.42.0),
-               libgirepository1.0-dev (>= 1.51.2),
-               gobject-introspection (>= 1.51.2),
-               libmozjs-38-dev,
+               pkg-config (>= 0.28),
+               libglib2.0-dev (>= 2.50.0),
+               libgirepository1.0-dev (>= 1.53.4),
+               gobject-introspection (>= 1.53.4),
+               libmozjs-52-dev,
                libreadline-dev,
-               libgtk-3-dev,
+               libgtk-3-dev (>= 3.20),
                libcairo2-dev,
                dbus <!nocheck>,
                dbus-x11 <!nocheck>,
                at-spi2-core <!nocheck>,
                xvfb <!nocheck>
-Standards-Version: 3.9.8
+Standards-Version: 4.1.1
 Vcs-Svn: svn://anonscm.debian.org/pkg-gnome/desktop/unstable/gjs
 Vcs-Browser: https://anonscm.debian.org/viewvc/pkg-gnome/desktop/unstable/gjs
 Homepage: https://wiki.gnome.org/Projects/Gjs
@@ -54,14 +53,14 @@
  This package contains test programs, designed to be run as part of a
  regression testsuite.
 
-Package: libgjs0f
+Package: libgjs0g
 Architecture: any
 Section: libs
 Depends: ${shlibs:Depends},
          ${misc:Depends},
          ${gir:Depends}
-Conflicts: libgjs0, libgjs0a, libgjs0b, libgjs0c, libgjs0d, libgjs0e
-Replaces: libgjs0, libgjs0a, libgjs0b, libgjs0c, libgjs0d, libgjs0e
+Conflicts: libgjs0, libgjs0a, libgjs0b, libgjs0c, libgjs0d, libgjs0e, libgjs0f
+Replaces: libgjs0, libgjs0a, libgjs0b, libgjs0c, libgjs0d, libgjs0e, libgjs0f
 Provides: ${gjs:Provides}
 Description: Mozilla-based javascript bindings for the GNOME platform
  Makes it possible for applications to use all of GNOME's platform
@@ -75,10 +74,10 @@
 Section: libdevel
 Depends: ${misc:Depends},
          gjs,
-         libgjs0f (= ${binary:Version}),
-         libgirepository1.0-dev (>= 1.41.4),
-         libgtk-3-dev,
-         libmozjs-38-dev
+         libgjs0g (= ${binary:Version}),
+         libgirepository1.0-dev (>= 1.53.4),
+         libgtk-3-dev (>= 3.20),
+         libmozjs-52-dev
 Description: Mozilla-based javascript bindings for the GNOME platform
  Makes it possible for applications to use all of GNOME's platform
  libraries using the JavaScript language. It's mainly based on the
