=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE=1

include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk

# Use recursive variables since this variable must not be expanded until 
# files have been installed.
LIBMOZJS = $(shell objdump -p debian/tmp/usr/lib/libgjs.so | awk '$$1=="NEEDED" && $$2~/^libmozjs/ { print $$2 }' | sed s/\\.so\\./-/ )

%:
	dh $@ --with gnome,gir

override_dh_auto_configure:
	dh_auto_configure -- \
		--libdir=\$${prefix}/lib \
		--libexecdir=\$${prefix}/lib/gjs \
		--enable-installed-tests \
		--with-xvfb-tests \
		--with-dbus-tests

override_dh_girepository:
	dh_girepository -l $(CURDIR) /usr/lib/gjs/girepository-1.0

override_dh_install:
	dh_install --fail-missing -X.la

#override_dh_auto_test:
#	dh_auto_test || true

override_dh_makeshlibs:
	dh_makeshlibs -Xusr/lib/gjs-1.0/ -V'libgjs0g (>= $(DEB_UPSTREAM_VERSION)), libgjs0-$(LIBMOZJS)' -- -c4

override_dh_gencontrol:
	echo gjs:Provides=libgjs0-$(LIBMOZJS) >> debian/libgjs0g.substvars
	dh_gencontrol
