## gjs 1.52.1

=== debian/changelog ===
gjs (1.52.1-1ubuntu1) bionic; urgency=medium

  * Add fix-crashes-lp1763878-revert-575f1e2e077.patch to fix shutdown
    crashes (LP: #1763878)
  * Add some patches to solve large memory leaks (LP: #1672297)
    - fix-leaks-lp1672297-1-context-Add-API-to-force-GC-schedule.patch
    - fix-leaks-lp1672297-2-object-Queue-a-forced-GC-when-toggling-down.patch
    - Note: More such patches are under review so this list may grow in future.

 -- Daniel van Vugt <daniel.van.vugt@canonical.com>  Mon, 16 Apr 2018 14:30:31 +0800

gjs (1.52.1-1) unstable; urgency=medium

  * New upstream release 
  * Drop patch included in new release

 -- Tim Lunn <tim@feathertop.org>  Thu, 12 Apr 2018 18:12:07 +1000

gjs (1.52.0-2) unstable; urgency=medium

  [ James Cowgill ]
  * Add mips-sigaction.patch to fix build on mips* (Closes: #893485)

 -- Jeremy Bicha <jbicha@debian.org>  Tue, 20 Mar 2018 07:35:20 -0400

gjs (1.52.0-1) unstable; urgency=medium

  * New upstream release
  * Release to unstable
  * Drop fix_build.patch: Applied in new release

 -- Jeremy Bicha <jbicha@debian.org>  Sat, 17 Mar 2018 08:52:40 -0400

gjs (1.51.91-1) experimental; urgency=medium

  [ Simon McVittie ]
  * New upstream release
    - Drop patches that were applied upstream

  [ Tim Lunn ]
  * Install valgrind suppresion files into libgjs-dev
  * d/p/fix_build.patch: explicitly link against librt

 -- Tim Lunn <tim@feathertop.org>  Tue, 20 Feb 2018 17:53:02 +1100

gjs (1.50.3-2) unstable; urgency=medium

  * Team upload
  * Add patch from upstream merge request 38 to prevent crashes in
    certain error situations (possibly resolves #888052, #888199)
  * Add patches to improve uncatchable exception reporting
  * Revert some of the upstream changes from 1.50.3, which appear to
    cause crashes (Closes: #888485; possibly also #888052, #888199)

 -- Simon McVittie <smcv@debian.org>  Fri, 26 Jan 2018 13:57:40 +0000

gjs (1.50.3-1) unstable; urgency=medium

  * New upstream release
  * Drop all patches since they were applied in new release
  * Bump debhelper compat to 11

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 21 Jan 2018 09:12:05 -0500

gjs (1.50.2-3) unstable; urgency=medium

  * Team upload
  * Add patches from upstream gnome-3-26 branch to mitigate bugs in
    gnome-shell and its extensions involving reuse of objects that were
    already disposed. Those bugs will now log critical warnings,
    typically found in the systemd journal, instead.
    (Mitigates: #881301, #880663, etc.)
  * Change Vcs-* to point to salsa.debian.org
  * Bump Standards-Version to 4.1.3 (no changes required)
  * Drop Multi-Arch: same annotation from libgjs-dev. As long as this
    package depends on gjs, it cannot be co-installed.
  * Set Rules-Requires-Root to no

 -- Simon McVittie <smcv@debian.org>  Sat, 13 Jan 2018 11:47:50 +0000

gjs (1.50.2-2) unstable; urgency=medium

  [ Adrian Bunk ]
  * debian/tests.sh: Don't mark architectures as expected test failures
    where the tests actually do pass. (Closes: #882036)

  [ Jeremy Bicha ]
  * Update Vcs fields for conversion to git
  * Add debian/gbp.conf
  * Bump Standards-Version to 4.1.2
  * Mark libgjs-dev as Multi-Arch: same

 -- Jeremy Bicha <jbicha@debian.org>  Sat, 16 Dec 2017 11:52:33 -0500

gjs (1.50.2-1) unstable; urgency=medium

  [ Jeremy Bicha ]
  * New upstream release

  [ Simon McVittie ]
  * d/rules: Actually run build-time tests. Thanks, Adrian Bunk
    (Closes: #878610)
    - d/rules: Run tests with VERBOSE=1 like dh_auto_test would
    - d/test.sh: Wrap tests in a script, making failures non-fatal on
      the same architectures as mozjs52
    - d/test.sh: Run a smoke-test (a "hello world" program) to prove
      that the interpreter has any sort of functionality at all

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 05 Nov 2017 12:56:31 -0500

gjs (1.50.1-2) unstable; urgency=medium

  [ Jeremy Bicha ]
  * Release to unstable

  [ Simon McVittie ]
  * d/control.in: Add Breaks on versions of various JS apps that are
    not compatible with the ES6 syntax rules used since mozjs52
    (Closes: #874693)
    - No Breaks needed for lockstep upgrade of gnome-shell since old
      Shell depends on libgjs0e or older, new Shell depends on libgjs0g,
      and the two are already non-coinstallable

 -- Jeremy Bicha <jbicha@debian.org>  Fri, 13 Oct 2017 16:18:11 -0400
