=== debian/control ===
--- 
+++ 
@@ -1,14 +1,14 @@
 # This file is autogenerated. DO NOT EDIT!
-# 
+#
 # Modifications should be made to debian/control.in instead.
 # This file is regenerated automatically in the clean target.
 Source: gjs
 Section: interpreters
 Priority: optional
-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@debian.org>, Michael Biebl <biebl@debian.org>
-Build-Depends: debhelper (>= 10),
-               dpkg-dev (>= 1.17.14),
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Jeremy Bicha <jbicha@debian.org>, Tim Lunn <tim@feathertop.org>
+Build-Depends: debhelper (>= 11),
                gnome-common,
                gnome-pkg-tools,
                pkg-config (>= 0.28),
@@ -23,15 +23,21 @@
                dbus-x11 <!nocheck>,
                at-spi2-core <!nocheck>,
                xvfb <!nocheck>
-Standards-Version: 4.1.1
-Vcs-Svn: svn://anonscm.debian.org/pkg-gnome/desktop/unstable/gjs
-Vcs-Browser: https://anonscm.debian.org/viewvc/pkg-gnome/desktop/unstable/gjs
+Rules-Requires-Root: no
+Standards-Version: 4.1.3
+Vcs-Git: https://salsa.debian.org/gnome-team/gjs.git
+Vcs-Browser: https://salsa.debian.org/gnome-team/gjs
 Homepage: https://wiki.gnome.org/Projects/Gjs
 
 Package: gjs
 Architecture: any
 Depends: ${shlibs:Depends},
          ${misc:Depends}
+Breaks: gnome-characters (<< 3.25.92),
+        gnome-maps (<< 3.26.1),
+        gnome-weather (<< 3.25.91),
+        polari (<< 3.25.4),
+        ostree-tests (<< 2017.11-1~),
 Description: Mozilla-based javascript bindings for the GNOME platform
  Makes it possible for applications to use all of GNOME's platform
  libraries using the JavaScript language. It's mainly based on the
