## gjs 1.52.5

=== debian/changelog ===
gjs (1.52.5-0ubuntu18.04.1) bionic; urgency=medium

  * New upstream release (LP: #1809181, LP: #1803271)
  * d/p/fix-crashes-lp1763878-revert-575f1e2e077.patch,
    d/p/fix-leaks-lp1672297-1-context-Add-API-to-force-GC-schedule.patch,
    d/p/fix-leaks-lp1672297-2-object-Queue-a-forced-GC-when-toggling-down.patch:
    - Drop patches included in new release
  * debian/gbp.conf:
    - Point branches and tag rules to ubuntu

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Wed, 19 Dec 2018 19:32:06 +0100
