=== debian/rules ===
--- 
+++ 
@@ -1,8 +1,10 @@
 #!/usr/bin/make -f
+-include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk
+
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+export DEB_LDFLAGS_MAINT_APPEND = -Wl,-z,defs -Wl,--as-needed
 
 export DH_VERBOSE=1
-
-include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk
 
 # Use recursive variables since this variable must not be expanded until 
 # files have been installed.
@@ -23,10 +25,16 @@
 	dh_girepository -l $(CURDIR) /usr/lib/gjs/girepository-1.0
 
 override_dh_install:
-	dh_install --fail-missing -X.la
+	find debian/tmp -name '*.la' -print -delete
+	dh_install
 
-#override_dh_auto_test:
-#	dh_auto_test || true
+override_dh_missing:
+	dh_missing --fail-missing
+
+override_dh_auto_test:
+ifeq (, $(filter nocheck, $(DEB_BUILD_OPTIONS)))
+	DEB_HOST_ARCH=$(DEB_HOST_ARCH) debian/test.sh
+endif
 
 override_dh_makeshlibs:
 	dh_makeshlibs -Xusr/lib/gjs-1.0/ -V'libgjs0g (>= $(DEB_UPSTREAM_VERSION)), libgjs0-$(LIBMOZJS)' -- -c4
