## gjs 1.54.1

=== debian/changelog ===
gjs (1.54.1-1) experimental; urgency=medium

  * Team upload
  * New upstream release

 -- Simon McVittie <smcv@debian.org>  Fri, 05 Oct 2018 11:40:01 +0100

gjs (1.54.0-1) experimental; urgency=medium

  * Team upload

  [ Simon McVittie ]
  * New upstream development release (Closes: #904994)
  * Depend and build-depend on mozjs60 instead of mozjs52
  * d/copyright: Update
  * Explicitly disable -Werror
  * Drop build-dependency on gnome-common which does not appear to be
    needed since 1.47.0
  * d/gbp.conf: Don't number patches
  * Add Breaks on gnome-documents, gnome-sound-recorder and polari
    versions that use conditional catch clauses, which are a
    Mozilla-specific extension that is no longer supported in mozjs60
  * Add Breaks on gnome-shell (<< 3.29.90) for ByteArray changes
  * dh_makeshlibs: Only generate a dependency on libgjs0g, not on the
    virtual package libgjs0-libmozjs-60-0. Since the gjs-internals
    module was removed in version 1.47.0, gjs does not expose mozjs
    API/ABI in its own ABI, so it is unnecessary for gjs users like
    gnome-shell, gnome-sushi and polari to depend on their gjs having
    been compiled against a specific version of mozjs.
  * Provide libgjs0-libmozjs-52-0 to indicate that our ABI is
    compatible with the gjs that used libmozjs-52-0, until all
    dependent packages have been rebuilt

  [ Tim Lunn ]
  * New upstream release

 -- Simon McVittie <smcv@debian.org>  Thu, 20 Sep 2018 10:32:06 +0100

gjs (1.53.3-1) experimental; urgency=medium

  [ Simon McVittie ]
  * d/watch: Watch for development releases
  * New upstream development release

  [ Iain Lane ]
  * New upstream development releases 1.53.2 and 1.53.3

 -- Iain Lane <laney@debian.org>  Wed, 27 Jun 2018 18:20:12 +0100

gjs (1.52.3-2) unstable; urgency=medium

  * Team upload
  * d/p/context-Add-API-to-force-GC-schedule.patch,
    d/p/object-Queue-a-forced-GC-when-toggling-down.patch,
    d/p/context-Ensure-force_gc-flag-is-not-lost-if-the-idle-is-s.patch:
    Add patches from upstream version 1.53.1 to make GC more aggressive
    (LP: #1672297)

 -- Simon McVittie <smcv@debian.org>  Thu, 17 May 2018 11:13:54 +0100

gjs (1.52.3-1) unstable; urgency=medium

  * New upstream release 

 -- Tim Lunn <tim@feathertop.org>  Tue, 08 May 2018 17:18:07 +1000

gjs (1.52.2-1) unstable; urgency=medium

  * New upstream release

 -- Tim Lunn <tim@feathertop.org>  Fri, 20 Apr 2018 17:18:55 +1000
