=== debian/control ===
--- 
+++ 
@@ -5,17 +5,15 @@
 Source: gjs
 Section: interpreters
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Jeremy Bicha <jbicha@debian.org>, Tim Lunn <tim@feathertop.org>
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@debian.org>, Tim Lunn <tim@feathertop.org>
 Build-Depends: debhelper (>= 11),
-               gnome-common,
                gnome-pkg-tools,
                pkg-config (>= 0.28),
-               libglib2.0-dev (>= 2.50.0),
+               libglib2.0-dev (>= 2.54.0),
                libgirepository1.0-dev (>= 1.53.4),
                gobject-introspection (>= 1.53.4),
-               libmozjs-52-dev,
+               libmozjs-60-dev,
                libreadline-dev,
                libgtk-3-dev (>= 3.20),
                libcairo2-dev,
@@ -34,9 +32,12 @@
 Depends: ${shlibs:Depends},
          ${misc:Depends}
 Breaks: gnome-characters (<< 3.25.92),
+        gnome-documents (<< 3.30.0),
         gnome-maps (<< 3.26.1),
+        gnome-shell (<< 3.29.90),
+        gnome-sound-recorder (<< 3.28.1-3~),
         gnome-weather (<< 3.25.91),
-        polari (<< 3.25.4),
+        polari (<< 3.29.91),
         ostree-tests (<< 2017.11-1~),
 Description: Mozilla-based javascript bindings for the GNOME platform
  Makes it possible for applications to use all of GNOME's platform
@@ -83,7 +84,7 @@
          libgjs0g (= ${binary:Version}),
          libgirepository1.0-dev (>= 1.53.4),
          libgtk-3-dev (>= 3.20),
-         libmozjs-52-dev
+         libmozjs-60-dev
 Description: Mozilla-based javascript bindings for the GNOME platform
  Makes it possible for applications to use all of GNOME's platform
  libraries using the JavaScript language. It's mainly based on the
