=== debian/rules ===
--- 
+++ 
@@ -6,10 +6,6 @@
 
 export DH_VERBOSE=1
 
-# Use recursive variables since this variable must not be expanded until 
-# files have been installed.
-LIBMOZJS = $(shell objdump -p debian/tmp/usr/lib/libgjs.so | awk '$$1=="NEEDED" && $$2~/^libmozjs/ { print $$2 }' | sed s/\\.so\\./-/ )
-
 %:
 	dh $@ --with gnome,gir
 
@@ -17,6 +13,7 @@
 	dh_auto_configure -- \
 		--libdir=\$${prefix}/lib \
 		--libexecdir=\$${prefix}/lib/gjs \
+		--disable-Werror \
 		--enable-installed-tests \
 		--with-xvfb-tests \
 		--with-dbus-tests
@@ -37,8 +34,15 @@
 endif
 
 override_dh_makeshlibs:
-	dh_makeshlibs -Xusr/lib/gjs-1.0/ -V'libgjs0g (>= $(DEB_UPSTREAM_VERSION)), libgjs0-$(LIBMOZJS)' -- -c4
+	dh_makeshlibs -Xusr/lib/gjs-1.0/ -V'libgjs0g (>= $(DEB_UPSTREAM_VERSION))' -- -c4
 
+# We don't actually use mozjs52 any more, but our ABI is compatible with
+# the gjs that did.
+#
+# Yes, this really says libmozjs-52-0. Yes, this is intentional, even
+# though we're now building against mozjs60. It's like this to avoid an
+# unnecessary transition: programs built against gjs 1.52.x do not need
+# to be rebuilt for 1.54.x.
 override_dh_gencontrol:
-	echo gjs:Provides=libgjs0-$(LIBMOZJS) >> debian/libgjs0g.substvars
+	echo gjs:Provides=libgjs0-libmozjs-52-0 >> debian/libgjs0g.substvars
 	dh_gencontrol
