## gjs 1.54.3

=== debian/changelog ===
gjs (1.54.3-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Force time zone to UTC when running tests.
    This hopefully fixes FTBFS in the pathological time zone used to test
    reproducible builds.

 -- Simon McVittie <smcv@debian.org>  Thu, 15 Nov 2018 11:31:50 +0000

gjs (1.54.2-1) unstable; urgency=medium

  * Team upload
  * Upload to unstable (starts transition: #906016)
  * d/watch: Only watch for versions from a stable branch
  * New upstream release
  * Bump Standards-Version to 4.2.1 (no changes required)
  * Use dpkg's default.mk to get upstream version number for dependencies.
    This avoids relying on the differently-named variables in
    gnome-get-source.mk, and also does the right thing if gjs ever gains
    an epoch.
  * d/rules: Remove gnome-get-source.mk (please use uscan instead)

 -- Simon McVittie <smcv@debian.org>  Fri, 02 Nov 2018 09:33:10 +0000
