=== debian/control ===
--- 
+++ 
@@ -22,10 +22,10 @@
                at-spi2-core <!nocheck>,
                xvfb <!nocheck>
 Rules-Requires-Root: no
-Standards-Version: 4.1.3
+Standards-Version: 4.2.1
 Vcs-Git: https://salsa.debian.org/gnome-team/gjs.git
 Vcs-Browser: https://salsa.debian.org/gnome-team/gjs
-Homepage: https://wiki.gnome.org/Projects/Gjs
+Homepage: https://gitlab.gnome.org/GNOME/gjs/wikis
 
 Package: gjs
 Architecture: any
