=== debian/rules ===
--- 
+++ 
@@ -1,8 +1,9 @@
 #!/usr/bin/make -f
--include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 export DEB_LDFLAGS_MAINT_APPEND = -Wl,-z,defs -Wl,--as-needed
+
+include /usr/share/dpkg/default.mk
 
 export DH_VERBOSE=1
 
@@ -30,11 +31,11 @@
 
 override_dh_auto_test:
 ifeq (, $(filter nocheck, $(DEB_BUILD_OPTIONS)))
-	DEB_HOST_ARCH=$(DEB_HOST_ARCH) debian/test.sh
+	TZ=UTC DEB_HOST_ARCH=$(DEB_HOST_ARCH) debian/test.sh
 endif
 
 override_dh_makeshlibs:
-	dh_makeshlibs -Xusr/lib/gjs-1.0/ -V'libgjs0g (>= $(DEB_UPSTREAM_VERSION))' -- -c4
+	dh_makeshlibs -Xusr/lib/gjs-1.0/ -V'libgjs0g (>= $(DEB_VERSION_EPOCH_UPSTREAM))' -- -c4
 
 # We don't actually use mozjs52 any more, but our ABI is compatible with
 # the gjs that did.
