## gjs 1.57.4

=== debian/changelog ===
gjs (1.57.4-1) experimental; urgency=medium

  * New upstream release in the 1.57 series.
  * rules: Don't build profiler support yet.
    We need to split sysprof into a library, a -dev package and the client
    applications for this, so that all gjs users don't get everything
    installed.
  * control: Bump gobject-introspection BDs to 1.59.2, per configure.ac

 -- Iain Lane <laney@debian.org>  Thu, 18 Jul 2019 12:25:32 +0100

gjs (1.56.2-1) experimental; urgency=medium

  * New upstream release, fixing:
    + Cairo conversion bugs
    + console: Don't accept --profile after the script name
    + Crash in BoxedInstance when struct could not be allocated directly
    + Gjs crashes when binding inherited property to js added gobject-property

 -- Iain Lane <laney@debian.org>  Wed, 08 May 2019 17:46:16 +0100

gjs (1.56.1-1) experimental; urgency=medium

  * New upstream stable release, fixing:
    + Calling dumpHeap() on non-existent directory causes crash
    + Using Gio.MemoryInputStream.new_from_data ("string") causes segfault
    + Fix gjs_context_eval() for non-zero-terminated strings

 -- Iain Lane <laney@debian.org>  Tue, 09 Apr 2019 09:51:55 +0100

gjs (1.56.0-1) experimental; urgency=medium

  * New upstream release
  * Bump Standards-Version to 4.3.0
  * debian/rules: Drop the "Provides=libgjs0-libmozjs-52-0". There aren't any
    (currently buildable) references to this left in the archive.
  * Update gbp.conf to standard settings.

 -- Andrea Azzarone <andrea.azzarone@canonical.com>  Thu, 14 Mar 2019 16:19:03 +0000
