=== debian/control ===
--- 
+++ 
@@ -11,8 +11,8 @@
                gnome-pkg-tools,
                pkg-config (>= 0.28),
                libglib2.0-dev (>= 2.54.0),
-               libgirepository1.0-dev (>= 1.53.4),
-               gobject-introspection (>= 1.53.4),
+               libgirepository1.0-dev (>= 1.59.2),
+               gobject-introspection (>= 1.59.2),
                libmozjs-60-dev,
                libreadline-dev,
                libgtk-3-dev (>= 3.20),
@@ -22,7 +22,7 @@
                at-spi2-core <!nocheck>,
                xvfb <!nocheck>
 Rules-Requires-Root: no
-Standards-Version: 4.2.1
+Standards-Version: 4.3.0
 Vcs-Git: https://salsa.debian.org/gnome-team/gjs.git
 Vcs-Browser: https://salsa.debian.org/gnome-team/gjs
 Homepage: https://gitlab.gnome.org/GNOME/gjs/wikis
@@ -68,7 +68,6 @@
          ${gir:Depends}
 Conflicts: libgjs0, libgjs0a, libgjs0b, libgjs0c, libgjs0d, libgjs0e, libgjs0f
 Replaces: libgjs0, libgjs0a, libgjs0b, libgjs0c, libgjs0d, libgjs0e, libgjs0f
-Provides: ${gjs:Provides}
 Description: Mozilla-based javascript bindings for the GNOME platform
  Makes it possible for applications to use all of GNOME's platform
  libraries using the JavaScript language. It's mainly based on the
