=== debian/rules ===
--- 
+++ 
@@ -17,7 +17,8 @@
 		--disable-Werror \
 		--enable-installed-tests \
 		--with-xvfb-tests \
-		--with-dbus-tests
+		--with-dbus-tests \
+		--disable-profiler
 
 override_dh_girepository:
 	dh_girepository -l $(CURDIR) /usr/lib/gjs/girepository-1.0
@@ -36,14 +37,3 @@
 
 override_dh_makeshlibs:
 	dh_makeshlibs -Xusr/lib/gjs-1.0/ -V'libgjs0g (>= $(DEB_VERSION_EPOCH_UPSTREAM))' -- -c4
-
-# We don't actually use mozjs52 any more, but our ABI is compatible with
-# the gjs that did.
-#
-# Yes, this really says libmozjs-52-0. Yes, this is intentional, even
-# though we're now building against mozjs60. It's like this to avoid an
-# unnecessary transition: programs built against gjs 1.52.x do not need
-# to be rebuilt for 1.54.x.
-override_dh_gencontrol:
-	echo gjs:Provides=libgjs0-libmozjs-52-0 >> debian/libgjs0g.substvars
-	dh_gencontrol
