## gjs 1.58.1

=== debian/changelog ===
gjs (1.58.1-2ubuntu2) focal; urgency=medium

  * rules: Bump dh_makeshlibs -V argument to 1.58.1-2ubuntu1. We need rdeps to
    get dependencies on this version once they're rebuilt.

 -- Iain Lane <iain.lane@canonical.com>  Thu, 27 Feb 2020 12:49:37 +0000

gjs (1.58.1-2ubuntu1) focal; urgency=medium

  * debian/gbp.conf: Set debian-branch to ubuntu/master
  * debian/control: Set maintainer to ubuntu
  * GObject-Optionally-use-the-caller-script-basename-to-defi.patch,
    GObject-Sanitize-provided-GTypeName-to-match-allowed-ones.patch,
    object-Throw-if-constructing-an-unregistered-object-inher.patch,
    private-Don-t-pass-argv-to-for_js_typecheck-and-use-resul.patch,
    testGObjectClass-Verify-that-we-properly-sanitize-the-pro.patch,
    testGObjectClass-Verify-the-usage-of-GObject-classes-with.patch,
    testGObject-Verify-that-GType-name-is-computed-for-regist.patch:
    - Cherry pick features needed by gnome-shell 3.36

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Wed, 26 Feb 2020 14:47:22 +0100

gjs (1.58.1-2) unstable; urgency=medium

  * Team upload
  * d/tests/build: Fix various shellcheck warnings
  * d/tests/build: Use correct compiler for proposed autopkgtest
    cross-architecture testing support
  * d/tests/build: Mark as superficial
  * Bump Standards-Version to 4.5.0 (no changes required)
  * Explicitly build-depend on libffi-dev.
    gjs uses ffi_call(), so we should have our own B-D and not just rely
    on libgirepository1.0-dev having a dependency.
  * Adjust build-dependencies for libffi7 transition:
    - Depend on a version of libffi-dev associated with libffi7
    - Depend on a version of libgirepository1.0-dev that was definitely
      built using libffi7

 -- Simon McVittie <smcv@debian.org>  Thu, 30 Jan 2020 08:56:41 +0000

gjs (1.58.1-1) unstable; urgency=medium

  * New upstream release
  * Build-Depend on dh-sequence-gir and dh-sequence-gnome

 -- Jeremy Bicha <jbicha@debian.org>  Thu, 10 Oct 2019 06:12:11 -0400

gjs (1.58.0-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Andreas Henriksson <andreas@fatal.se>  Mon, 30 Sep 2019 13:57:02 +0200

gjs (1.58.0-1) experimental; urgency=medium

  * New upstream release
  * d/control: update build-dep on gobject-introspection to 1.61.2
  * d/rules: --with-xvfb-tests option has been removed 
  * d/test.sh: call xvfb-run from the test wrapper to start a server 
  * d/control: build-dep on xauth for xvfb-run

 -- Tim Lunn <tim@feathertop.org>  Wed, 11 Sep 2019 22:02:08 +1000

gjs (1.57.91-2) experimental; urgency=medium

  * fix up depends so autopkgtests pass again
  - debian/control: 
      - depend on libcairo2-dev, this was implicitly pulled by libgtk3 before
      - runtime depend on gir1.2-gtk-3.0

 -- Tim Lunn <tim@feathertop.org>  Sun, 01 Sep 2019 23:00:03 +1000

gjs (1.57.91-1) experimental; urgency=medium

  * New upstream release
  * Build-depend on debhelper-compat (=12) and remove debian/compat
  * debian/control:
    - remove build-dep on libgtk3, gjs no longer links against gtk
    - add build dep on gir1.2-gtk-3.0, required by tests
  * Bump standards version to 4.4.0 no changes required

 -- Tim Lunn <tim@feathertop.org>  Tue, 27 Aug 2019 18:34:40 +1000

gjs (1.57.90-1) experimental; urgency=medium

  * New upstream release
  * control: bump glib build-dep to 1.58.0 as per configure.ac

 -- Tim Lunn <tim@feathertop.org>  Tue, 13 Aug 2019 21:00:02 +1000
