=== debian/control ===
--- 
+++ 
@@ -5,24 +5,29 @@
 Source: gjs
 Section: interpreters
 Priority: optional
-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@debian.org>, Tim Lunn <tim@feathertop.org>
-Build-Depends: debhelper (>= 11),
-               gnome-pkg-tools,
+Build-Depends: debhelper-compat (= 12),
+               dh-sequence-gir,
+               dh-sequence-gnome,
                pkg-config (>= 0.28),
-               libglib2.0-dev (>= 2.54.0),
-               libgirepository1.0-dev (>= 1.59.2),
-               gobject-introspection (>= 1.59.2),
+               libcairo2-dev,
+               libffi-dev (>= 3.3),
+               libglib2.0-dev (>= 2.58.0),
+               libgirepository1.0-dev (>= 1.62.0-4~),
+               gir1.2-gtk-3.0,
+               gobject-introspection (>= 1.62.0-4~),
                libmozjs-60-dev,
                libreadline-dev,
-               libgtk-3-dev (>= 3.20),
                libcairo2-dev,
                dbus <!nocheck>,
                dbus-x11 <!nocheck>,
                at-spi2-core <!nocheck>,
+               xauth <!nocheck>,
                xvfb <!nocheck>
 Rules-Requires-Root: no
-Standards-Version: 4.3.0
+Standards-Version: 4.5.0
 Vcs-Git: https://salsa.debian.org/gnome-team/gjs.git
 Vcs-Browser: https://salsa.debian.org/gnome-team/gjs
 Homepage: https://gitlab.gnome.org/GNOME/gjs/wikis
@@ -30,7 +35,8 @@
 Package: gjs
 Architecture: any
 Depends: ${shlibs:Depends},
-         ${misc:Depends}
+         ${misc:Depends},
+         gir1.2-gtk-3.0
 Breaks: gnome-characters (<< 3.25.92),
         gnome-documents (<< 3.30.0),
         gnome-maps (<< 3.26.1),
@@ -82,7 +88,7 @@
          gjs,
          libgjs0g (= ${binary:Version}),
          libgirepository1.0-dev (>= 1.53.4),
-         libgtk-3-dev (>= 3.20),
+         libcairo2-dev,
          libmozjs-60-dev
 Description: Mozilla-based javascript bindings for the GNOME platform
  Makes it possible for applications to use all of GNOME's platform
