=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,7 @@
 export DH_VERBOSE=1
 
 %:
-	dh $@ --with gnome,gir
+	dh $@
 
 override_dh_auto_configure:
 	dh_auto_configure -- \
@@ -16,7 +16,6 @@
 		--libexecdir=\$${prefix}/lib/gjs \
 		--disable-Werror \
 		--enable-installed-tests \
-		--with-xvfb-tests \
 		--with-dbus-tests \
 		--disable-profiler
 
@@ -36,4 +35,4 @@
 endif
 
 override_dh_makeshlibs:
-	dh_makeshlibs -Xusr/lib/gjs-1.0/ -V'libgjs0g (>= $(DEB_VERSION_EPOCH_UPSTREAM))' -- -c4
+	dh_makeshlibs -Xusr/lib/gjs-1.0/ -V'libgjs0g (>= 1.58.1-2ubuntu1)' -- -c4
