## gjs 1.63.92

=== debian/changelog ===
gjs (1.63.92-1) experimental; urgency=medium

  * New upstream release
  * tests-Avoid-filename-conflict-when-tests-run-in-parallel.patch: Drop,
    upstream

 -- Iain Lane <laney@debian.org>  Tue, 03 Mar 2020 09:18:17 +0000

gjs (1.63.91-1) experimental; urgency=medium

  [ Marco Trevisan (Treviño) ]
  * New upstream release
    - Uses mozjs68
    - Cache known unresolvable properties
  * debian/control:
    - Build depend on libmozjs-68-dev and meson
    - Adjust gobject-introspection dependency version to match upstream
  * debian/rules:
    - Adapt configure parameters to meson
    - Remove the ones that were already matching upstream default
    - Don't try to remove *.la files anymore, as it's a no-op with meson
    - Pass BUILDDIR to debian/test.sh
  * debian/test.sh:
    - Update binary paths to point to meson build path
    - Use meson test to run tests
    - Create a temporary home directory for running tests
  * debian/docs,
    debian/gjs.docs:
    - Point to new Markdown README.md file
  * debian/libgjs0g.symbols:
    - Add symbols file
  * debian/tests/installed-tests:
    - Use $AUTOPKGTEST_TMP instead of the deprecated $ADTTMP
  * d/p/root-Always-expose-object-to-JS-before-reset.patch,
    d/p/tests-Avoid-filename-conflict-when-tests-run-in-parallel.patch:
    - Avoid crashing during gargabe collection

  [ Iain Lane ]
  * debian/test.sh: Clean up the test dir when we exit
  * debian/test.sh: The default build dir is DEB_HOST_GNU_TYPE.
    Not DEB_HOST_BUILD_TYPE

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Mon, 24 Feb 2020 18:13:50 +0000
