=== debian/control ===
--- 
+++ 
@@ -5,8 +5,7 @@
 Source: gjs
 Section: interpreters
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@debian.org>, Tim Lunn <tim@feathertop.org>
 Build-Depends: debhelper-compat (= 12),
                dh-sequence-gir,
@@ -17,10 +16,11 @@
                libglib2.0-dev (>= 2.58.0),
                libgirepository1.0-dev (>= 1.62.0-4~),
                gir1.2-gtk-3.0,
-               gobject-introspection (>= 1.62.0-4~),
-               libmozjs-60-dev,
+               gobject-introspection (>= 1.61.2),
+               libmozjs-68-dev,
                libreadline-dev,
                libcairo2-dev,
+               meson (>= 0.50.0),
                dbus <!nocheck>,
                dbus-x11 <!nocheck>,
                at-spi2-core <!nocheck>,
@@ -89,7 +89,7 @@
          libgjs0g (= ${binary:Version}),
          libgirepository1.0-dev (>= 1.53.4),
          libcairo2-dev,
-         libmozjs-60-dev
+         libmozjs-68-dev
 Description: Mozilla-based javascript bindings for the GNOME platform
  Makes it possible for applications to use all of GNOME's platform
  libraries using the JavaScript language. It's mainly based on the
