=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-z,defs -Wl,--as-needed

include /usr/share/dpkg/default.mk

export DH_VERBOSE=1

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
		--libdir=/usr/lib \
		--libexecdir=/usr/lib/gjs \
		-Dinstalled_tests=true

override_dh_girepository:
	dh_girepository -l $(BUILDDIR) /usr/lib/gjs/girepository-1.0

override_dh_missing:
	dh_missing --fail-missing

override_dh_auto_test:
ifeq (, $(filter nocheck, $(DEB_BUILD_OPTIONS)))
	TZ=UTC BUILDDIR=${BUILDDIR} DEB_HOST_ARCH=$(DEB_HOST_ARCH) debian/test.sh
endif

override_dh_makeshlibs:
	dh_makeshlibs -Xusr/lib/gjs-1.0/ -V'libgjs0g (>= $(DEB_VERSION_EPOCH_UPSTREAM))' -- -c4
